ClarisWksGraphInternal::SubDocument Class Referencefinal

Internal: the subdocument of a ClarisWksGraph. More...

Inheritance diagram for ClarisWksGraphInternal::SubDocument:

## Public Member Functions
| SubDocument (ClarisWksGraph &pars, MWAWInputStreamPtr const &input, int zoneId, MWAWPosition const &pos=MWAWPosition())
| ~SubDocument () final
| destructor
bool | operator!= (MWAWSubDocument const &doc) const final
| operator!=
void | parse (MWAWListenerPtr &listener, libmwaw::SubDocumentType type) final
| the parser function
Public Member Functions inherited from MWAWSubDocument
| MWAWSubDocument (MWAWParser *pars, MWAWInputStreamPtr const &ip, MWAWEntry const &z)
| constructor from parser, input stream and zone in the input
| MWAWSubDocument (MWAWSubDocument const &doc)=default
| copy constructor
MWAWSubDocument & | operator= (MWAWSubDocument const &doc)=default
| copy operator
virtual | ~MWAWSubDocument ()
| virtual destructor
bool | operator== (MWAWSubDocument const &doc) const
| comparison operator==
bool | operator!= (std::shared_ptr< MWAWSubDocument > const &doc) const
| comparison operator!=
bool | operator== (std::shared_ptr< MWAWSubDocument > const &doc) const
| comparison operator==

## Public Attributes
ClarisWksGraph * | m_graphParser
| the graph parser

## Protected Attributes
int | m_id
| the subdocument id
MWAWPosition | m_position
| the position if known
Protected Attributes inherited from MWAWSubDocument
MWAWParser * | m_parser
| the main zone parser
std::shared_ptr< MWAWInputStream > | m_input
| the input
MWAWEntry | m_zone
| if valid the zone to parse

## Private Member Functions
| SubDocument (SubDocument const &orig)=default
SubDocument & | operator= (SubDocument const &orig)=default

## Detailed Description

Internal: the subdocument of a ClarisWksGraph.

## Constructor & Destructor Documentation

## ◆ SubDocument() [1/2]

ClarisWksGraphInternal::SubDocument::SubDocument | ( | ClarisWksGraph & | pars,
|  | MWAWInputStreamPtr const & | input,
|  | int | zoneId,
|  | MWAWPosition const & | pos = MWAWPosition() )
| inline

Referenced by operator!=(), operator=(), and SubDocument().

## ◆ ~SubDocument()

ClarisWksGraphInternal::SubDocument::~SubDocument | ( |  | ) |
| inline final

destructor

## ◆ SubDocument() [2/2]

ClarisWksGraphInternal::SubDocument::SubDocument | ( | SubDocument const & | orig | ) |
| private default

## Member Function Documentation

## ◆ operator!=()

bool ClarisWksGraphInternal::SubDocument::operator!= | ( | MWAWSubDocument const & | doc | ) | const
| inline final virtual

operator!=

Reimplemented from MWAWSubDocument.

## ◆ operator=()

SubDocument & ClarisWksGraphInternal::SubDocument::operator= | ( | SubDocument const & | orig | ) |
| private default

## ◆ parse()

void ClarisWksGraphInternal::SubDocument::parse | ( | MWAWListenerPtr & | listener,
|  | libmwaw::SubDocumentType | type )
| final virtual

the parser function

Implements MWAWSubDocument.

## Member Data Documentation

## ◆ m_graphParser

ClarisWksGraph* ClarisWksGraphInternal::SubDocument::m_graphParser

the graph parser

Referenced by operator!=(), parse(), and SubDocument().

## ◆ m_id

int ClarisWksGraphInternal::SubDocument::m_id
| protected

the subdocument id

Referenced by operator!=(), parse(), and SubDocument().

## ◆ m_position

MWAWPosition ClarisWksGraphInternal::SubDocument::m_position
| protected

the position if known

Referenced by parse(), and SubDocument().

The documentation for this class was generated from the following file:

- ClarisWksGraph.cxx